kompendium
2.0.1
2.0.2 2.0.1

# generateKontent

inline fun < T > generateKontent (cache: SchemaMap = emptyMap()): SchemaMap
Content copied to clipboard

Analyzes a type T for its top-level and any nested schemas, and adds them to a SchemaMap, if provided

#### Return

an updated schema map containing all type information for T

## Parameters

T

type to analyze

cache

Existing schema map to append to

fun generateKontent (type: KType , cache: SchemaMap = emptyMap()): SchemaMap
Content copied to clipboard

Analyzes a KType for its top-level and any nested schemas, and adds them to a SchemaMap, if provided

#### Return

an updated schema map containing all type information for KType type

## Parameters

type

KType to analyze

cache

Existing schema map to append to